USE [Database]

IF EXISTS(SELECT OBJECT_ID FROM [sys].[triggers] WHERE name = 'trg_drop_table')
DROP TRIGGER [trg_drop_table] ON DATABASE
GO

CREATE TRIGGER [trg_drop_table]
  ON DATABASE FOR DROP_TABLE
  AS
    SET NOCOUNT ON;
    ROLLBACK TRANSACTION;
GO